<?php

if (!defined("PATH_SEPARATOR"))
  define("PATH_SEPARATOR", getenv("COMSPEC")? ";" : ":");

$ads_config['dir_plugin'] = dirname(__FILE__);
$ads_config['dir_template'] = $ads_config['dir_plugin'].'/template';
$ads_config['opt_name'] = 'ads_options';
$ads_config['urlDir'] = $urlDir = get_bloginfo('wpurl').'/wp-content/plugins/ads-wordpress/';
$ads_config['urlTmpDir'] = $urlDir.'tmpfiles/';
$ads_config['urlImages'] = $urlDir.'images/';

// Input form templates for different categories of states as follows
// шаблон формыы ввода данных по умолчанию
//$ads_config['form_templates']['all'] = '/form_default_template.php'; // default forme
$ads_config['form_templates']['default'] = '/form_default_template.php'; // default forme


// шаблон вывода объявения работает применяется через фильтр the_content
$ads_config['post_templates']['default'] = '/post_default_template.php'; // default post template

//шаблонны писем подтверждения
$ads_config['email_new_post'] =  '/email_new_post.php'; // когда добавлен пост
$ads_config['email_edit_post'] = '/email_edit_post.php'; // когда пост отредактирован


// form template to enter the editing mode, or delete
// шаблон формы ввода логина для редактирования или удаления объявления
$ads_config['form_login'] = '/ads_form_login.php';



/*
and in the future you will be able to use when displaying messages in default_form.php
сюда добавляем имена полей которые буду восприниматся плагином
защита от взлома, чтобы нам не подсунули левых переменных через post форму
этот спискок действует глобально на все формы 
*/
$ads_config['ads_fields_form']	= array('post_title','post_content',
'comment_status','ar_tags','tags_input','ads_lifetime', 'ads_phone',
'ads_email','ads_location','ads_url');


function ads_filter($post){
     global $current_user;
    // подкоректируем http  адресс
    if($post['ads_url'] == 'http://') $post['ads_url'] = '';
    elseif($post['ads_url'] AND !preg_match('~^http://~',$post['ads_url'])){
        $post['ads_url'] = 'http://'.$post['ads_url'];
    }

    /*  пример  проверка заголовка и  текста объявления */
    if(empty($post['post_title'])){
        $post['error']['post_title'] = __('Empty post title!','ads-wordpress');
    }
    if(empty($post['post_content'])){
        $post['error']['post_content'] = __('Empty post content!','ads-wordpress');
    }

    // прописываем запись во все родительские категории  !
    if((int)$post['ads_location']>0){
      $location_cat = ads_get_parents_id($post['ads_location']);
      array_pop($location_cat);
    }else $location_cat = array();
    $object_cat = ads_get_parents_id($_REQUEST['ads_basecat']);
    if(!$object_cat)$object_cat = array();
    if(sizeof($post['post_category']))  $post['post_category'] = array_merge($post['post_category'],$object_cat,$location_cat); 
    else $post['post_category'] = array_merge($object_cat,$location_cat);

    return $post;
}
add_filter('ads_check_fields', 'ads_filter');

/*
	function   ads_tes2_query($val){
    return " AND ads_tes2.meta_value >=90 \n";
}
*/


?>