<?
/*
Plugin Name: Ads-Profile
Plugin URI: http://ili.com.ua/
Description: Allows you to add additional fields to the user profile like ICQ, Twitter, Skype, Phones etc.
Author: Stepanov Urry (stur)
Version: 0.1
Author URI: http://ili.com.ua/
*/

include_once "ads_config.php";

add_action('edit_user_profile', 'ads_show_userfield');
add_action('show_user_profile', 'ads_show_userfield');
add_action('profile_update', 'ads_update_userfield');


function  ads_show_userfield(){
  global $current_user;
  if($_GET['user_id'])
      $user = get_userdata($_GET['user_id']);
   else
    $user  =  $current_user;
  $ads_profile_error = get_option('ads_profile_error');

?>
<h3><a name="ExtraUserDetails"><?_e('Extra User Details','ads-wordpress')?></a></h3>
<?if($ads_profile_error):?>
<div><font color="red" size="2"><?=$ads_profile_error?></font></div>
<?endif;?>
<table class="form-table">
    <tr>
	<th><label for="wmr">Кошелек WMR<font color="red">*</font></label></th>
	<td><input name="wmr" id="wmr" type="text" value="<?=@$user->wmr?>" class="regular-text code" />&nbsp;
    <label for="wmr">Кошелек WMR</label></td>
	</tr>

</table>
<?
}

function ads_update_userfield(){
    global $current_user;
    if($_REQUEST['user_id'])
        $user = get_userdata($_REQUEST['user_id']);
    else
        $user  =  $current_user;

    $ads_profile_error = '';

    if(empty($_REQUEST['wmr'])){
       delete_usermeta($user->ID,'wmr');
    }
    else{
       update_usermeta($user->ID,'wmr',$_REQUEST['wmr']);
    }

    update_option('ads_profile_error',$ads_profile_error);
}
?>
